# coding: utf-8

"""
    VMware Aria Automation Assembler Blueprint API

    A multi-cloud Blueprint API for VMware Aria Automation Services  This page describes the RESTful APIs for Blueprint. The APIs facilitate CRUD operations on the various resources and entities used throughout Blueprint (Blueprints, Blueprint Terraform Integrations , PropertyGroups , etc.) and allow operations on them (creating a Blueprint, creating a Property group, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Blueprint entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/blueprint/api/blueprints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/blueprint/api/blueprints?$top=10&$skip=2```   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class BlueprintValidationRequest(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'blueprint_id': 'str',
        'blueprint_version': 'str',
        'content': 'str',
        'project_id': 'str',
        'inputs': 'dict(str, object)'
    }

    attribute_map = {
        'blueprint_id': 'blueprintId',
        'blueprint_version': 'blueprintVersion',
        'content': 'content',
        'project_id': 'projectId',
        'inputs': 'inputs'
    }

    def __init__(self, blueprint_id=None, blueprint_version=None, content=None, project_id=None, inputs=None):  # noqa: E501
        """BlueprintValidationRequest - a model defined in Swagger"""  # noqa: E501
        self._blueprint_id = None
        self._blueprint_version = None
        self._content = None
        self._project_id = None
        self._inputs = None
        self.discriminator = None
        if blueprint_id is not None:
            self.blueprint_id = blueprint_id
        if blueprint_version is not None:
            self.blueprint_version = blueprint_version
        if content is not None:
            self.content = content
        if project_id is not None:
            self.project_id = project_id
        if inputs is not None:
            self.inputs = inputs

    @property
    def blueprint_id(self):
        """Gets the blueprint_id of this BlueprintValidationRequest.  # noqa: E501

        Blueprint Id  # noqa: E501

        :return: The blueprint_id of this BlueprintValidationRequest.  # noqa: E501
        :rtype: str
        """
        return self._blueprint_id

    @blueprint_id.setter
    def blueprint_id(self, blueprint_id):
        """Sets the blueprint_id of this BlueprintValidationRequest.

        Blueprint Id  # noqa: E501

        :param blueprint_id: The blueprint_id of this BlueprintValidationRequest.  # noqa: E501
        :type: str
        """

        self._blueprint_id = blueprint_id

    @property
    def blueprint_version(self):
        """Gets the blueprint_version of this BlueprintValidationRequest.  # noqa: E501

        Blueprint Version  # noqa: E501

        :return: The blueprint_version of this BlueprintValidationRequest.  # noqa: E501
        :rtype: str
        """
        return self._blueprint_version

    @blueprint_version.setter
    def blueprint_version(self, blueprint_version):
        """Sets the blueprint_version of this BlueprintValidationRequest.

        Blueprint Version  # noqa: E501

        :param blueprint_version: The blueprint_version of this BlueprintValidationRequest.  # noqa: E501
        :type: str
        """

        self._blueprint_version = blueprint_version

    @property
    def content(self):
        """Gets the content of this BlueprintValidationRequest.  # noqa: E501

        Blueprint YAML content  # noqa: E501

        :return: The content of this BlueprintValidationRequest.  # noqa: E501
        :rtype: str
        """
        return self._content

    @content.setter
    def content(self, content):
        """Sets the content of this BlueprintValidationRequest.

        Blueprint YAML content  # noqa: E501

        :param content: The content of this BlueprintValidationRequest.  # noqa: E501
        :type: str
        """

        self._content = content

    @property
    def project_id(self):
        """Gets the project_id of this BlueprintValidationRequest.  # noqa: E501

        Project Id  # noqa: E501

        :return: The project_id of this BlueprintValidationRequest.  # noqa: E501
        :rtype: str
        """
        return self._project_id

    @project_id.setter
    def project_id(self, project_id):
        """Sets the project_id of this BlueprintValidationRequest.

        Project Id  # noqa: E501

        :param project_id: The project_id of this BlueprintValidationRequest.  # noqa: E501
        :type: str
        """

        self._project_id = project_id

    @property
    def inputs(self):
        """Gets the inputs of this BlueprintValidationRequest.  # noqa: E501

        Blueprint request inputs  # noqa: E501

        :return: The inputs of this BlueprintValidationRequest.  # noqa: E501
        :rtype: dict(str, object)
        """
        return self._inputs

    @inputs.setter
    def inputs(self, inputs):
        """Sets the inputs of this BlueprintValidationRequest.

        Blueprint request inputs  # noqa: E501

        :param inputs: The inputs of this BlueprintValidationRequest.  # noqa: E501
        :type: dict(str, object)
        """

        self._inputs = inputs

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(BlueprintValidationRequest, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, BlueprintValidationRequest):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
